/*
 * ========================================================================
 *
 * Codehaus CARGO, copyright 2004-2011 Vincent Massol.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * ========================================================================
 */
package org.codehaus.cargo.module;

import java.io.File;

/**
 * Marker interface for a Jar archive that can be updated in-place.
 * 
 * @version $Id: JarArchiveUpdateable.java 2760 2011-03-19 17:33:47Z alitokmen $
 * 
 */
public interface JarArchiveUpdateable extends JarArchive
{
    /**
     * @return File / directory that this archive is stored in.
     */
    File getFile();

    /**
     * Recursively copy files from source into this archive.
     * 
     * @param source directory or file to copy into this jar.
     */
    void copyAllIntoJar(File source);
}
